PrecedenceQueryParserTokenManager (Lucene 2.4.1 API)
Keywords: org.apache.lucene.queryParser.precedence.PrecedenceQueryParserTokenManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.precedence
Class PrecedenceQueryParserTokenManager

    java.lang.Object
      org.apache.lucene.queryParser.precedence.PrecedenceQueryParserTokenManager

All Implemented Interfaces:
  PrecedenceQueryParserConstants

    public class PrecedenceQueryParserTokenManager

extends Object
implements PrecedenceQueryParserConstants

Field Summary
`protected char` | `curChar`
`PrintStream` | `debugStream`
`protected CharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface org.apache.lucene.queryParser.precedence.PrecedenceQueryParserConstants
`_ESCAPED_CHAR, _NUM_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, Boost, CARAT, COLON, DEFAULT, EOF, FUZZY_SLOP, LPAREN, MINUS, NOT, NUMBER, OR, PLUS, PREFIXTERM, QUOTED, RangeEx, RANGEEX_END, RANGEEX_GOOP, RANGEEX_QUOTED, RANGEEX_START, RANGEEX_TO, RangeIn, RANGEIN_END, RANGEIN_GOOP, RANGEIN_QUOTED, RANGEIN_START, RANGEIN_TO, RPAREN, TERM, tokenImage, WILDTERM`

Constructor Summary
`PrecedenceQueryParserTokenManager(CharStream stream)`
`PrecedenceQueryParserTokenManager(CharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(CharStream stream)`
`void` | `ReInit(CharStream stream, int lexState)`
`void` | `setDebugStream(PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected CharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### PrecedenceQueryParserTokenManager

    public PrecedenceQueryParserTokenManager(CharStream stream)

### PrecedenceQueryParserTokenManager

    public PrecedenceQueryParserTokenManager(CharStream stream,
                                             int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.